############################################
#Set your working directory setwd("")
data1 <- read.csv("csv_int.csv",header=T,dec=".",sep=",")
names(data1)<-c("id","height", "weight","age","gender")
height<-data1$height
summary(height)
sd(height)


#Arithmetic Mean
M_a<-function(x){
  n<-length(x)
  res<-sum(x)/n
  return(res)
}

M_a(height)

Mode_x<-function(x){
  return(density(x)$x[which.max(density(x)$y)])
}

Mode_x(height)
weight<-data1$weight
hist(height)

plot(x=height,y=weight)

b=cov(weight,height)/var(height)

height<-height*100

b=cov(weight,height)/var(height)

R2=cor(weight,height)^2

##############################################################################
##############################################################################
##############################################################################

# Step 1: Load Your Data
#Set your working directory setwd("")
data <- read.csv("daily_csv.csv")


# Step 2: View Data
head(data)
# Check if there is any missing data
missing_values_count <- sum(is.na(data$Price))
data<-na.omit(data)

# Step 3: Measures of Central Tendency

#Arithmetic Mean
M_a<-function(x){
n<-length(x)
res<-sum(x)/n
return(res)
}
mean(data$Price, na.rm = TRUE)
M_a(data$Price)

# Median

median_value <- median(data$Price)

# Mode

density_estimation <- density(data$Price)
mode<-density_estimation$x[which.max(density_estimation$y)]


tab<-c(mean(data$Price), median(data$Price),mode)
names(tab)<-c("mean", "median", "mode")

# Step 4: Measures of Dispersion
data_range <-max(data$Price)-min(data$Price)
data_range <- range(data$Price)


variance_value <- var(data$Price)

variance<-function(x){
  n<-length(x)
  mu<-sum(x)/n
  return(sum((x-mu)^2)/n)
}
variance(data$Price)

sd_value <- sd(data$Price)
sqrt(variance(data$Price))

# Step 5: Data Visualization (Histogram)
install.packages("ggplot2")
library(ggplot2)
ggplot(data, aes(x = Price)) +
  geom_histogram()

par(mar=c(1,1,1,1))
hist(data$Price, freq = FALSE)

# Step 6: Summary Statistics
summary(data)




